<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:import href="conversions.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">ContactDetails</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<link href="css/editabletable.css" rel="stylesheet" type="text/css" />
		<link href="css/collapsiblecontent.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/editabletable.js" type="text/javascript"></script>
		<script src="http://maps.google.com/maps/api/js?sensor=true" type="text/javascript"></script>
		<script src="js/googlemap.js" type="text/javascript"></script>
		<script src="js/collapsiblecontent.js" type="text/javascript"></script>
		<script src="js/ContactDetailsScripts.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="insertContact" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<tab_control />
						<ContactSurname />
					</formData>
					<CreateContactRequest Successful="" Version="" xmlns="http://www.hyfinity.com/schemas/tutorial">
						<Contact ContactId="">
							<IdentificationDetails>
								<Title>Mr</Title>
								<Forename />
								<Surname />
								<DateOfBirth />
								<Gender>Unknown</Gender>
								<HomeAddress>
									<HouseNameNo />
									<Street />
									<Locality />
									<Town />
									<CountyArea />
									<Postcode />
									<Country />
								</HomeAddress>
							</IdentificationDetails>
							<PersonalDetails>
								<MaritalStatus>n</MaritalStatus>
								<NumberOfDependants />
								<CarRegistration />
								<Notes />
								<OtherInformation />
							</PersonalDetails>
							<BusinessDetails>
								<OrganisationName />
								<NationalInsuranceNumber />
								<TaxReference />
								<Salary />
								<PaymentFrequency>W</PaymentFrequency>
								<OtherInformation />
							</BusinessDetails>
							<ContactNumbers>
								<EmailAddresses>
									<EmailAddress Preferred="yes" Use="work">
										<Email />
									</EmailAddress>
									<EmailAddress Preferred="yes" Use="work">
										<Email />
									</EmailAddress>
									<EmailAddress Preferred="yes" Use="work">
										<Email />
									</EmailAddress>
								</EmailAddresses>
								<TelephoneNumbers>
									<TelephoneNumber Preferred="yes" Use="work">
										<TelCountryCode />
										<TelNationalNumber />
									</TelephoneNumber>
									<TelephoneNumber Preferred="yes" Use="work">
										<TelCountryCode />
										<TelNationalNumber />
									</TelephoneNumber>
									<TelephoneNumber Preferred="yes" Use="work">
										<TelCountryCode />
										<TelNationalNumber />
									</TelephoneNumber>
								</TelephoneNumbers>
								<FaxNumbers>
									<FaxNumber Preferred="yes" Use="work">
										<FaxCountryCode />
										<FaxNationalNumber />
									</FaxNumber>
									<FaxNumber Preferred="yes" Use="work">
										<FaxCountryCode />
										<FaxNationalNumber />
									</FaxNumber>
									<FaxNumber Preferred="yes" Use="work">
										<FaxCountryCode />
										<FaxNationalNumber />
									</FaxNumber>
								</FaxNumbers>
							</ContactNumbers>
						</Contact>
						<Validation>
							<Errors>
								<Error Cat="F" Code="" Count="" />
								<Error Cat="F" Code="" Count="" />
								<Error Cat="F" Code="" Count="" />
							</Errors>
						</Validation>
					</CreateContactRequest>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="updateContact" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<tab_control />
						<ContactSurname />
					</formData>
					<UpdateContactRequest Successful="" Version="" xmlns="http://www.hyfinity.com/schemas/tutorial">
						<Contact ContactId="">
							<IdentificationDetails>
								<Title>Mr</Title>
								<Forename />
								<Surname />
								<DateOfBirth />
								<Gender>Unknown</Gender>
								<HomeAddress>
									<HouseNameNo />
									<Street />
									<Locality />
									<Town />
									<CountyArea />
									<Postcode />
									<Country />
								</HomeAddress>
							</IdentificationDetails>
							<PersonalDetails>
								<MaritalStatus>n</MaritalStatus>
								<NumberOfDependants />
								<CarRegistration />
								<Notes />
								<OtherInformation />
							</PersonalDetails>
							<BusinessDetails>
								<OrganisationName />
								<NationalInsuranceNumber />
								<TaxReference />
								<Salary />
								<PaymentFrequency>W</PaymentFrequency>
								<OtherInformation />
							</BusinessDetails>
							<ContactNumbers>
								<EmailAddresses>
									<EmailAddress Preferred="yes" Use="work">
										<Email />
									</EmailAddress>
									<EmailAddress Preferred="yes" Use="work">
										<Email />
									</EmailAddress>
									<EmailAddress Preferred="yes" Use="work">
										<Email />
									</EmailAddress>
								</EmailAddresses>
								<TelephoneNumbers>
									<TelephoneNumber Preferred="yes" Use="work">
										<TelCountryCode />
										<TelNationalNumber />
									</TelephoneNumber>
									<TelephoneNumber Preferred="yes" Use="work">
										<TelCountryCode />
										<TelNationalNumber />
									</TelephoneNumber>
									<TelephoneNumber Preferred="yes" Use="work">
										<TelCountryCode />
										<TelNationalNumber />
									</TelephoneNumber>
								</TelephoneNumbers>
								<FaxNumbers>
									<FaxNumber Preferred="yes" Use="work">
										<FaxCountryCode />
										<FaxNationalNumber />
									</FaxNumber>
									<FaxNumber Preferred="yes" Use="work">
										<FaxCountryCode />
										<FaxNationalNumber />
									</FaxNumber>
									<FaxNumber Preferred="yes" Use="work">
										<FaxCountryCode />
										<FaxNationalNumber />
									</FaxNumber>
								</FaxNumbers>
							</ContactNumbers>
						</Contact>
						<Validation>
							<Errors>
								<Error Cat="F" Code="" Count="" />
								<Error Cat="F" Code="" Count="" />
								<Error Cat="F" Code="" Count="" />
							</Errors>
						</Validation>
					</UpdateContactRequest>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="cancel" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<tab_control />
						<Title />
						<Forename />
						<Surname />
						<DateOfBirth />
						<Gender />
						<MaritalStatus />
						<NumberOfDependants />
						<CarRegistration />
						<Notes />
						<OtherInformation1 />
						<HouseNameNo />
						<Street />
						<Locality />
						<Town />
						<CountyArea />
						<Postcode />
						<Country />
						<OrganisationName />
						<NationalInsuranceNumber />
						<TaxReference />
						<Salary />
						<PaymentFrequency />
						<OtherInformation2 />
						<EmailAddress_repeat>
							<Email />
							<Use1 />
							<Preferred1 />
						</EmailAddress_repeat>
						<TelephoneNumber_repeat>
							<TelCountryCode />
							<TelNationalNumber />
							<Use2 />
							<Preferred2 />
						</TelephoneNumber_repeat>
						<FaxNumber_repeat>
							<FaxCountryCode />
							<FaxNationalNumber />
							<Use3 />
							<Preferred3 />
						</FaxNumber_repeat>
						<ContactId1 />
						<ContactSurname />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form">
			<form action="process.do" method="post" name="ContactDetails">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" xmlns="" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.ContactDetails</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class="vertical" id="Contact1_group">
					<div class="groupLabelBackground" id="Contact1_group_label_container">
						<h2 class="label" id="Contact1_group_label">
							<out:value-of select="concat('Contact Details - ', /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/@ContactId)" />
						</h2>
					</div>
					<div style="height: 10px; width: 20px;"></div>
					<div class="tabContainer vertical" id="tab_container">
						<div class="formElement">
							<span class="defaultBackground" id="tab_control_container">
								<out:variable name="currentTabValue">
									<out:choose>
										<out:when test="/mvc:eForm/mvc:Data/mvc:formData/mvc:tab_control != ''">
											<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:tab_control" />
										</out:when>
										<out:otherwise>info</out:otherwise>
									</out:choose>
								</out:variable>
								<a class="unselectedTab" href="#tab_control__info__tab" id="tab_control_tab_info" onclick="var resp = tab_controlonclick((typeof(event) != 'undefined') ? event : arguments[0]);if (typeof(resp) != 'undefined') return resp;return tab_controlTabChange('info');">
									<out:if test="$currentTabValue = 'info'">
										<out:attribute name="class">selectedTab</out:attribute>
									</out:if>
									<span class="l">
										<span class="r">Personal Details</span>
									</span>
								</a>
								<a class="unselectedTab" href="#tab_control__address__tab" id="tab_control_tab_address" onclick="var resp = tab_controlonclick((typeof(event) != 'undefined') ? event : arguments[0]);if (typeof(resp) != 'undefined') return resp;return tab_controlTabChange('address');">
									<out:if test="$currentTabValue = 'address'">
										<out:attribute name="class">selectedTab</out:attribute>
									</out:if>
									<span class="l">
										<span class="r">Address</span>
									</span>
								</a>
								<a class="unselectedTab" href="#tab_control__business__tab" id="tab_control_tab_business" onclick="var resp = tab_controlonclick((typeof(event) != 'undefined') ? event : arguments[0]);if (typeof(resp) != 'undefined') return resp;return tab_controlTabChange('business');">
									<out:if test="$currentTabValue = 'business'">
										<out:attribute name="class">selectedTab</out:attribute>
									</out:if>
									<span class="l">
										<span class="r">Business Details</span>
									</span>
								</a>
								<input id="tab_control" name="tab_control" type="hidden" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:tab_control}">
									<out:if test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:tab_control) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:tab_control = '')">
										<out:attribute name="value">info</out:attribute>
									</out:if>
								</input>
								<input name="tab_control_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:tab_control" xmlns="" />
								<script type="text/javascript" xmlns="">
									<out:text>function </out:text>
									<out:text>tab_controlTabChange(value) {
                        hyf.util.setFieldValue('</out:text>
									<out:text>tab_control', value);
                        </out:text>
									<out:text>document.getElementById('tab_control_tab_info').className = 'unselectedTab';
                            </out:text>
									<out:text>document.getElementById('tab_control_tab_address').className = 'unselectedTab';
                            </out:text>
									<out:text>document.getElementById('tab_control_tab_business').className = 'unselectedTab';
                            </out:text>
									<out:text>document.getElementById('tab_control_tab_' + value).className = 'selectedTab';
                        return false; }</out:text>
								</script>
								<span id="tab_control_message_container"></span>
							</span>
						</div>
						<noscript>
							<a class="selectedTab" id="tab_control__info__tab">
								<span class="l">
									<span class="r">Personal Details</span>
								</span>
							</a>
						</noscript>
						<div class="tabPane vertical" id="infoTab" style="height:350px; overflow : auto;">
							<div class="vertical" id="IdentificationDetails_group">
								<div class="formElement">
									<span class="labelBackground" id="Title_label_container">
										<label class="label" for="Title" id="Title_label">Title<span class="mandatory" id="Title_marker" style="" title="Mandatory field marker"> * </span>
										</label>
									</span>
									<span class="defaultBackground" id="Title_container">
										<select class="textbox" id="Title" name="Title">
											<option value="Mr">
												<out:if test="'Mr' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Title">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Mr</out:text>
											</option>
											<option value="Mrs">
												<out:if test="'Mrs' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Title">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Mrs</out:text>
											</option>
											<option value="Ms">
												<out:if test="'Ms' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Title">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Ms</out:text>
											</option>
											<option value="Dr">
												<out:if test="'Dr' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Title">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Dr</out:text>
											</option>
											<option value="Sir">
												<out:if test="'Sir' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Title">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Sir</out:text>
											</option>
											<option value="Other">
												<out:if test="'Other' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Title">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Other</out:text>
											</option>
										</select>
										<input name="xgf_Title_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Title" xmlns="" />
										<input name="xgf_Title_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Title" xmlns="" />
										<input name="xgf_Title_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Title" xmlns="" />
										<span id="Title_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="Forename_label_container">
										<label class="label" for="Forename" id="Forename_label">Forename<span class="mandatory" id="Forename_marker" style="" title="Mandatory field marker"> * </span>
										</label>
									</span>
									<span class="defaultBackground" id="Forename_container">
										<input class="textbox" id="Forename" maxLength="30" name="Forename" size="30" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Forename}" />
										<input name="xgf_Forename_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Forename" xmlns="" />
										<input name="xgf_Forename_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Forename" xmlns="" />
										<input name="xgf_Forename_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Forename" xmlns="" />
										<span id="Forename_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="Surname_label_container">
										<label class="label" for="Surname" id="Surname_label">Surname<span class="mandatory" id="Surname_marker" style="" title="Mandatory field marker"> * </span>
										</label>
									</span>
									<span class="defaultBackground" id="Surname_container">
										<input class="textbox" id="Surname" maxLength="30" name="Surname" size="30" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Surname}" />
										<input name="xgf_Surname_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Surname" xmlns="" />
										<input name="xgf_Surname_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Surname" xmlns="" />
										<input name="xgf_Surname_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Surname" xmlns="" />
										<span id="Surname_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="DateOfBirth_label_container">
										<label class="label" for="DateOfBirth" id="DateOfBirth_label">Date Of Birth<span class="mandatory" id="DateOfBirth_marker" style="" title="Mandatory field marker"> * </span>
										</label>
									</span>
									<span class="defaultBackground" id="DateOfBirth_container">
										<input class="textbox" id="DateOfBirth" name="DateOfBirth" size="11" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:DateOfBirth}">
											<out:attribute name="value">
												<out:if test="(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:DateOfBirth != '')">
													<out:call-template name="parse-format-date">
														<out:with-param name="source_string" select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:DateOfBirth" />
														<out:with-param name="source_pattern">yyyy-MM-dd</out:with-param>
														<out:with-param name="target_pattern">MM/dd/yyyy</out:with-param>
													</out:call-template>
												</out:if>
											</out:attribute>
										</input>
										<input name="xgf_DateOfBirth_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:DateOfBirth" xmlns="" />
										<input name="xgf_DateOfBirth_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:DateOfBirth" xmlns="" />
										<input name="xgf_DateOfBirth_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DateOfBirth" xmlns="" />
										<script type="text/javascript" xmlns="">hyf.calendar.config['DateOfBirth'] = {popup: false, type: 'year_entry', hasDropDowns: false, dataFormat: 'yyyy-MM-dd'};</script>
										<a class="datePickerIcon" href="#" id="DateOfBirth_calendar_anchor" name="DateOfBirth_calendar_anchor" onclick="hyf.calendar.showCalendar('DateOfBirth');return false;" xmlns="">
     										</a>
										<input name="DateOfBirth_date_conversion_input" type="hidden" value="MM/dd/yyyy" />
										<input name="DateOfBirth_date_conversion_output" type="hidden" value="yyyy-MM-dd" />
										<span id="DateOfBirth_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="Gender_label_container">
										<label class="label" for="Gender" id="Gender_label">Gender<span class="mandatory" id="Gender_marker" style="" title="Mandatory field marker"> * </span>
										</label>
									</span>
									<span class="defaultBackground" id="Gender_container">
										<select class="textbox" id="Gender" name="Gender">
											<option value="Unknown">
												<out:if test="'Unknown' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Gender">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Unknown</out:text>
											</option>
											<option value="Male">
												<out:if test="'Male' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Gender">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Male</out:text>
											</option>
											<option value="Female">
												<out:if test="'Female' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Gender">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Female</out:text>
											</option>
											<option value="Indeterminate">
												<out:if test="'Indeterminate' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:Gender">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Indeterminate</out:text>
											</option>
										</select>
										<input name="xgf_Gender_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Gender" xmlns="" />
										<input name="xgf_Gender_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:Gender" xmlns="" />
										<input name="xgf_Gender_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Gender" xmlns="" />
										<span id="Gender_message_container"></span>
									</span>
								</div>
							</div>
							<div class="vertical" id="PersonalDetails_group">
								<div class="formElement">
									<span class="labelBackground" id="MaritalStatus_label_container">
										<label class="label" for="MaritalStatus" id="MaritalStatus_label">Marital Status<span class="mandatory" id="MaritalStatus_marker" style="" title="Mandatory field marker"> * </span>
										</label>
									</span>
									<span class="defaultBackground" id="MaritalStatus_container">
										<select class="textbox" id="MaritalStatus" name="MaritalStatus">
											<option value="n">
												<out:if test="'n' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:MaritalStatus">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Not known</out:text>
											</option>
											<option value="s">
												<out:if test="'s' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:MaritalStatus">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Single</out:text>
											</option>
											<option value="m">
												<out:if test="'m' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:MaritalStatus">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Married</out:text>
											</option>
											<option value="d">
												<out:if test="'d' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:MaritalStatus">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Divorced</out:text>
											</option>
											<option value="w">
												<out:if test="'w' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:MaritalStatus">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Widower</out:text>
											</option>
											<option value="p">
												<out:if test="'p' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:MaritalStatus">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Permanant Partner</out:text>
											</option>
										</select>
										<input name="xgf_MaritalStatus_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:PersonalDetails/demo:MaritalStatus" xmlns="" />
										<input name="xgf_MaritalStatus_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:PersonalDetails/demo:MaritalStatus" xmlns="" />
										<input name="xgf_MaritalStatus_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:MaritalStatus" xmlns="" />
										<span id="MaritalStatus_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="NumberOfDependants_label_container">
										<label class="label" for="NumberOfDependants" id="NumberOfDependants_label">Number Of Dependants</label>
									</span>
									<span class="defaultBackground" id="NumberOfDependants_container">
										<input class="textbox" id="NumberOfDependants" name="NumberOfDependants" size="2" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:NumberOfDependants}" />
										<input name="xgf_NumberOfDependants_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:PersonalDetails/demo:NumberOfDependants" xmlns="" />
										<input name="xgf_NumberOfDependants_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:PersonalDetails/demo:NumberOfDependants" xmlns="" />
										<input name="xgf_NumberOfDependants_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:NumberOfDependants" xmlns="" />
										<span id="NumberOfDependants_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="CarRegistration_label_container">
										<label class="label" for="CarRegistration" id="CarRegistration_label">Car Registration</label>
									</span>
									<span class="defaultBackground" id="CarRegistration_container">
										<input class="textbox" id="CarRegistration" maxLength="7" name="CarRegistration" size="7" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:CarRegistration}" />
										<input name="xgf_CarRegistration_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:PersonalDetails/demo:CarRegistration" xmlns="" />
										<input name="xgf_CarRegistration_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:PersonalDetails/demo:CarRegistration" xmlns="" />
										<input name="xgf_CarRegistration_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:CarRegistration" xmlns="" />
										<span id="CarRegistration_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="Notes_label_container">
										<label class="label" for="Notes" id="Notes_label">Notes</label>
									</span>
									<span class="defaultBackground" id="Notes_container">
										<textarea class="textbox" cols="40" id="Notes" name="Notes" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
											<out:value-of select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:Notes" />
										</textarea>
										<input name="xgf_Notes_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:PersonalDetails/demo:Notes" xmlns="" />
										<input name="xgf_Notes_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:PersonalDetails/demo:Notes" xmlns="" />
										<input name="xgf_Notes_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Notes" xmlns="" />
										<span id="Notes_message_container"></span>
									</span>
								</div>
								<fieldset class="fieldsetGroup vertical" id="OtherInformation1_group">
									<legend class="fieldsetGroupLabelBackground" id="OtherInformation1_group_label_container">
										<span class="label" id="OtherInformation1_group_label">Other Information</span>
									</legend>
									<div class="formElement">
										<span class="defaultBackground" id="OtherInformation1_container">
											<textarea class="textbox" cols="100" id="OtherInformation1" name="OtherInformation1" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
												<out:value-of select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:PersonalDetails/demo:OtherInformation" />
											</textarea>
											<input name="xgf_OtherInformation1_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:PersonalDetails/demo:OtherInformation" xmlns="" />
											<input name="xgf_OtherInformation1_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:PersonalDetails/demo:OtherInformation" xmlns="" />
											<input name="xgf_OtherInformation1_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:OtherInformation1" xmlns="" />
											<span id="OtherInformation1_message_container"></span>
										</span>
									</div>
								</fieldset>
							</div>
						</div>
						<noscript>
							<a class="selectedTab" id="tab_control__address__tab">
								<span class="l">
									<span class="r">Address</span>
								</span>
							</a>
						</noscript>
						<div class="tabPane vertical" id="addressTab" style="height:350px;">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layout_group" summary="">
								<tr>
									<td class="vertical" id="HomeAddress_group">
										<div class="formElement">
											<span class="labelBackground" id="HouseNameNo_label_container">
												<label class="label" for="HouseNameNo" id="HouseNameNo_label">House Name No<span class="mandatory" id="HouseNameNo_marker" style="" title="Mandatory field marker"> * </span>
												</label>
											</span>
											<span class="defaultBackground" id="HouseNameNo_container">
												<input class="textbox" id="HouseNameNo" maxLength="20" name="HouseNameNo" size="20" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:HouseNameNo}" />
												<input name="xgf_HouseNameNo_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:HouseNameNo" xmlns="" />
												<input name="xgf_HouseNameNo_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:HouseNameNo" xmlns="" />
												<input name="xgf_HouseNameNo_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:HouseNameNo" xmlns="" />
												<span id="HouseNameNo_message_container"></span>
											</span>
										</div>
										<div class="formElement">
											<span class="labelBackground" id="Street_label_container">
												<label class="label" for="Street" id="Street_label">Street<span class="mandatory" id="Street_marker" style="" title="Mandatory field marker"> * </span>
												</label>
											</span>
											<span class="defaultBackground" id="Street_container">
												<input class="textbox" id="Street" maxLength="40" name="Street" size="40" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Street}" />
												<input name="xgf_Street_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Street" xmlns="" />
												<input name="xgf_Street_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Street" xmlns="" />
												<input name="xgf_Street_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Street" xmlns="" />
												<span id="Street_message_container"></span>
											</span>
										</div>
										<div class="formElement">
											<span class="labelBackground" id="Locality_label_container">
												<label class="label" for="Locality" id="Locality_label">Locality</label>
											</span>
											<span class="defaultBackground" id="Locality_container">
												<input class="textbox" id="Locality" maxLength="35" name="Locality" size="35" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Locality}" />
												<input name="xgf_Locality_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Locality" xmlns="" />
												<input name="xgf_Locality_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Locality" xmlns="" />
												<input name="xgf_Locality_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Locality" xmlns="" />
												<span id="Locality_message_container"></span>
											</span>
										</div>
										<div class="formElement">
											<span class="labelBackground" id="Town_label_container">
												<label class="label" for="Town" id="Town_label">Town</label>
											</span>
											<span class="defaultBackground" id="Town_container">
												<input class="textbox" id="Town" maxLength="30" name="Town" size="30" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Town}" />
												<input name="xgf_Town_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Town" xmlns="" />
												<input name="xgf_Town_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Town" xmlns="" />
												<input name="xgf_Town_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Town" xmlns="" />
												<span id="Town_message_container"></span>
											</span>
										</div>
										<div class="formElement">
											<span class="labelBackground" id="CountyArea_label_container">
												<label class="label" for="CountyArea" id="CountyArea_label">County Area</label>
											</span>
											<span class="defaultBackground" id="CountyArea_container">
												<input class="textbox" id="CountyArea" maxLength="30" name="CountyArea" size="30" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:CountyArea}" />
												<input name="xgf_CountyArea_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:CountyArea" xmlns="" />
												<input name="xgf_CountyArea_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:CountyArea" xmlns="" />
												<input name="xgf_CountyArea_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:CountyArea" xmlns="" />
												<span id="CountyArea_message_container"></span>
											</span>
										</div>
										<div class="formElement">
											<span class="labelBackground" id="Postcode_label_container">
												<label class="label" for="Postcode" id="Postcode_label">Postcode</label>
											</span>
											<span class="defaultBackground" id="Postcode_container">
												<input class="textbox" id="Postcode" maxLength="8" name="Postcode" size="8" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Postcode}" />
												<input name="xgf_Postcode_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Postcode" xmlns="" />
												<input name="xgf_Postcode_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Postcode" xmlns="" />
												<input name="xgf_Postcode_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Postcode" xmlns="" />
												<span id="Postcode_message_container"></span>
											</span>
										</div>
										<div class="formElement">
											<span class="labelBackground" id="Country_label_container">
												<label class="label" for="Country" id="Country_label">Country</label>
											</span>
											<span class="defaultBackground" id="Country_container">
												<input class="textbox" id="Country" maxLength="30" name="Country" size="30" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Country}" />
												<input name="xgf_Country_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Country" xmlns="" />
												<input name="xgf_Country_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:IdentificationDetails/demo:HomeAddress/demo:Country" xmlns="" />
												<input name="xgf_Country_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Country" xmlns="" />
												<span id="Country_message_container"></span>
											</span>
										</div>
										<div class="formElement">
											<span class="defaultBackground" id="updateMapBtn_container">
												<a class="button" id="updateMapBtn" name="updateMapBtn" onclick="return updateMapBtnonclick((typeof(event) != 'undefined') ? event : arguments[0]);">
													<span>
														<span>Update Map</span>
													</span>
												</a>
											</span>
										</div>
									</td>
									<td class="vertical" id="map_panel">
										<div class="borderedGroup vertical" id="map_canvas" style="width:600px; height:350px;"></div>
									</td>
								</tr>
							</table>
						</div>
						<noscript>
							<a class="selectedTab" id="tab_control__business__tab">
								<span class="l">
									<span class="r">Business Details</span>
								</span>
							</a>
						</noscript>
						<div class="tabPane vertical" id="businessTab" style="height:350px;">
							<div class="vertical" id="BusinessDetails_group">
								<div class="formElement">
									<span class="labelBackground" id="OrganisationName_label_container">
										<label class="label" for="OrganisationName" id="OrganisationName_label">Organisation Name</label>
									</span>
									<span class="defaultBackground" id="OrganisationName_container">
										<input class="textbox" id="OrganisationName" maxLength="40" name="OrganisationName" size="40" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:OrganisationName}" />
										<input name="xgf_OrganisationName_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:BusinessDetails/demo:OrganisationName" xmlns="" />
										<input name="xgf_OrganisationName_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:BusinessDetails/demo:OrganisationName" xmlns="" />
										<input name="xgf_OrganisationName_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:OrganisationName" xmlns="" />
										<span id="OrganisationName_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="NationalInsuranceNumber_label_container">
										<label class="label" for="NationalInsuranceNumber" id="NationalInsuranceNumber_label">National Insurance Number</label>
									</span>
									<span class="defaultBackground" id="NationalInsuranceNumber_container">
										<input class="textbox" id="NationalInsuranceNumber" name="NationalInsuranceNumber" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:NationalInsuranceNumber}" />
										<input name="xgf_NationalInsuranceNumber_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:BusinessDetails/demo:NationalInsuranceNumber" xmlns="" />
										<input name="xgf_NationalInsuranceNumber_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:BusinessDetails/demo:NationalInsuranceNumber" xmlns="" />
										<input name="xgf_NationalInsuranceNumber_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:NationalInsuranceNumber" xmlns="" />
										<span id="NationalInsuranceNumber_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="TaxReference_label_container">
										<label class="label" for="TaxReference" id="TaxReference_label">Tax Reference</label>
									</span>
									<span class="defaultBackground" id="TaxReference_container">
										<input class="textbox" id="TaxReference" name="TaxReference" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:TaxReference}" />
										<input name="xgf_TaxReference_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:BusinessDetails/demo:TaxReference" xmlns="" />
										<input name="xgf_TaxReference_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:BusinessDetails/demo:TaxReference" xmlns="" />
										<input name="xgf_TaxReference_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TaxReference" xmlns="" />
										<span id="TaxReference_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="Salary_label_container">
										<label class="label" for="Salary" id="Salary_label">Salary</label>
									</span>
									<span class="defaultBackground" id="Salary_container">
										<input class="textbox" id="Salary" name="Salary" size="11" type="text" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:Salary}" />
										<input name="xgf_Salary_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:BusinessDetails/demo:Salary" xmlns="" />
										<input name="xgf_Salary_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:BusinessDetails/demo:Salary" xmlns="" />
										<input name="xgf_Salary_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:Salary" xmlns="" />
										<span id="Salary_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="PaymentFrequency_label_container">
										<label class="label" for="PaymentFrequency" id="PaymentFrequency_label">Payment Frequency</label>
									</span>
									<span class="defaultBackground" id="PaymentFrequency_container">
										<select class="textbox" id="PaymentFrequency" name="PaymentFrequency">
											<option value="W">
												<out:if test="'W' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:PaymentFrequency">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Weekly</out:text>
											</option>
											<option value="F">
												<out:if test="'F' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:PaymentFrequency">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Fortnightly</out:text>
											</option>
											<option value="M">
												<out:if test="'M' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:PaymentFrequency">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Monthly</out:text>
											</option>
											<option value="Q">
												<out:if test="'Q' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:PaymentFrequency">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Quarterly</out:text>
											</option>
											<option value="A">
												<out:if test="'A' = /mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:PaymentFrequency">
													<out:attribute name="selected">selected</out:attribute>
												</out:if>
												<out:text>Annually</out:text>
											</option>
										</select>
										<input name="xgf_PaymentFrequency_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:BusinessDetails/demo:PaymentFrequency" xmlns="" />
										<input name="xgf_PaymentFrequency_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:BusinessDetails/demo:PaymentFrequency" xmlns="" />
										<input name="xgf_PaymentFrequency_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:PaymentFrequency" xmlns="" />
										<span id="PaymentFrequency_message_container"></span>
									</span>
								</div>
								<fieldset class="fieldsetGroup vertical" id="OtherInformation2_group">
									<legend class="fieldsetGroupLabelBackground" id="OtherInformation2_group_label_container">
										<span class="label" id="OtherInformation2_group_label">Other Information</span>
									</legend>
									<div class="formElement">
										<span class="defaultBackground" id="OtherInformation2_container">
											<textarea class="textbox" cols="100" id="OtherInformation2" name="OtherInformation2" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
												<out:value-of select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:BusinessDetails/demo:OtherInformation" />
											</textarea>
											<input name="xgf_OtherInformation2_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:BusinessDetails/demo:OtherInformation" xmlns="" />
											<input name="xgf_OtherInformation2_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:BusinessDetails/demo:OtherInformation" xmlns="" />
											<input name="xgf_OtherInformation2_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:OtherInformation2" xmlns="" />
											<span id="OtherInformation2_message_container"></span>
										</span>
									</div>
								</fieldset>
							</div>
						</div>
					</div>
					<div id="ContactNumbers_group">
						<div class="groupLabelBackground" id="ContactNumbers_group_label_container">
							<h2 class="label" id="ContactNumbers_group_label">Contact Numbers</h2>
						</div>
						<div class="collapsibleSection vertical" id="collapsible_section_container">
							<div class="formElement">
								<span class="toggleLabelBackground" id="EmailAddressToggle_container">
									<a class="toggleHidden" href="javascript: EmailAddressTogglehref(null);" id="EmailAddressToggle" name="EmailAddressToggle">
										<span xmlns="">
											<span>
												<out:choose>
													<out:when test="not(concat('Email Addresses (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress), ')')) or (concat('Email Addresses (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress), ')') = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="concat('Email Addresses (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress), ')')" />
													</out:otherwise>
												</out:choose>
											</span>
										</span>
									</a>
								</span>
							</div>
							<div class="collapsibleContent vertical" id="collapsible_content">
								<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="EmailAddress_repeat" summary="">
									<thead>
										<tr id="EmailAddress_group_headings">
											<th class="labelBackground" id="Email_label_container" scope="col">
												<span class="label" id="Email_label">Email</span>
											</th>
											<th class="labelBackground" id="Use1_label_container" scope="col">
												<span class="label" id="Use1_label">Use</span>
											</th>
											<th class="labelBackground" id="Preferred1_label_container" scope="col">
												<span class="label" id="Preferred1_label">Preferred</span>
											</th>
										</tr>
									</thead>
									<tbody id="EmailAddress_repeat_body">
										<out:for-each select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress">
											<out:variable name="EmailAddress_repeatLoopEntry" select="." />
											<out:variable name="EmailAddress_repeatLoopCount">
												<out:text>EmailAddress_repeat</out:text>
												<out:value-of select="position()" />
											</out:variable>
											<out:variable name="EmailAddress_repeat-repeat-position-number">
												<out:value-of select="position()" />
											</out:variable>
											<tr class="table" id="{$EmailAddress_repeatLoopCount}EmailAddress_group">
												<td class="defaultBackground" id="{$EmailAddress_repeatLoopCount}Email_container">
													<input class="textbox" id="{$EmailAddress_repeatLoopCount}Email" name="{$EmailAddress_repeatLoopCount}Email" size="50" type="text" value="{demo:Email}" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Email_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/demo:Email" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Email_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/demo:Email" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Email_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:EmailAddress_repeat[{$EmailAddress_repeat-repeat-position-number}]/mvc:Email" xmlns="" />
													<span id="{$EmailAddress_repeatLoopCount}Email_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$EmailAddress_repeatLoopCount}Use1_container">
													<select class="select" id="{$EmailAddress_repeatLoopCount}Use1" name="{$EmailAddress_repeatLoopCount}Use1">
														<option value="work">
															<out:if test="'work' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>work</out:text>
														</option>
														<option value="home">
															<out:if test="'home' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>home</out:text>
														</option>
													</select>
													<input name="xgf_{$EmailAddress_repeatLoopCount}Use1_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Use1_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Use1_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:EmailAddress_repeat[{$EmailAddress_repeat-repeat-position-number}]/mvc:Use1" xmlns="" />
												</td>
												<td class="defaultBackground" id="{$EmailAddress_repeatLoopCount}Preferred1_container">
													<input class="checkbox" id="{$EmailAddress_repeatLoopCount}Preferred1" name="{$EmailAddress_repeatLoopCount}Preferred1" type="checkbox" value="yes">
														<out:if test="'yes' = @Preferred">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
													</input>
													<input name="xgf_{$EmailAddress_repeatLoopCount}Preferred1_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Preferred1_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Preferred1_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:EmailAddress_repeat[{$EmailAddress_repeat-repeat-position-number}]/mvc:Preferred1" xmlns="" />
													<input id="{$EmailAddress_repeatLoopCount}Preferred1_value_if_not_submitted" name="{$EmailAddress_repeatLoopCount}Preferred1_value_if_not_submitted" type="hidden" value="no" />
												</td>
											</tr>
										</out:for-each>
										<out:if test="not(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress)">
											<tr>
												<td class="noRepeatData" colspan="3" id="EmailAddress_repeat_empty">No Data Found</td>
											</tr>
										</out:if>
									</tbody>
									<tbody id="EmailAddress_repeat_newRowContent" style="display : none">
										<out:for-each select="/*[1]">
											<out:variable name="EmailAddress_repeat-repeat-position-number">xxxxx</out:variable>
											<out:variable name="EmailAddress_repeatLoopEntry" select="." />
											<out:variable name="EmailAddress_repeatLoopCount">
												<out:text>EmailAddress_repeatBlankEntry</out:text>
											</out:variable>
											<tr class="table" id="{$EmailAddress_repeatLoopCount}EmailAddress_group">
												<td class="defaultBackground" id="{$EmailAddress_repeatLoopCount}Email_container">
													<input class="textbox" id="{$EmailAddress_repeatLoopCount}Email" name="{$EmailAddress_repeatLoopCount}Email" size="50" type="text" value="{demo:Email}" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Email_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/demo:Email" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Email_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/demo:Email" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Email_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:EmailAddress_repeat[{$EmailAddress_repeat-repeat-position-number}]/mvc:Email" xmlns="" />
													<span id="{$EmailAddress_repeatLoopCount}Email_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$EmailAddress_repeatLoopCount}Use1_container">
													<select class="select" id="{$EmailAddress_repeatLoopCount}Use1" name="{$EmailAddress_repeatLoopCount}Use1">
														<option value="work">
															<out:if test="'work' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>work</out:text>
														</option>
														<option value="home">
															<out:if test="'home' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>home</out:text>
														</option>
													</select>
													<input name="xgf_{$EmailAddress_repeatLoopCount}Use1_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Use1_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Use1_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:EmailAddress_repeat[{$EmailAddress_repeat-repeat-position-number}]/mvc:Use1" xmlns="" />
												</td>
												<td class="defaultBackground" id="{$EmailAddress_repeatLoopCount}Preferred1_container">
													<input class="checkbox" id="{$EmailAddress_repeatLoopCount}Preferred1" name="{$EmailAddress_repeatLoopCount}Preferred1" type="checkbox" value="yes">
														<out:if test="'yes' = @Preferred">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
													</input>
													<input name="xgf_{$EmailAddress_repeatLoopCount}Preferred1_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Preferred1_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress[{$EmailAddress_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$EmailAddress_repeatLoopCount}Preferred1_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:EmailAddress_repeat[{$EmailAddress_repeat-repeat-position-number}]/mvc:Preferred1" xmlns="" />
													<input id="{$EmailAddress_repeatLoopCount}Preferred1_value_if_not_submitted" name="{$EmailAddress_repeatLoopCount}Preferred1_value_if_not_submitted" type="hidden" value="no" />
												</td>
											</tr>
										</out:for-each>
									</tbody>
								</table>
								<input name="xgf_hyfrepeat-1-location_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress" xmlns="" />
								<input name="xgf_hyfrepeat-1-location_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress" xmlns="" />
								<input name="xgf_hyfrepeat-1-location_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:EmailAddress_repeat" xmlns="" />
								<input name="hyfrepeat-1-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress)}" xmlns="" />
								<script type="text/javascript">
/* For more details on the available configuration options please see the following FAQ entry:
 * http://www.hyfinity.net/faq/index.php?solution_id=1075
 */
hyf.editabletable.init(hyf.editabletable.getLastTableOutput(),
                       {validate:true,
                        allow_add:true,
                        allow_delete:true,
                        allow_edit:true,
                        change_function:contactNumberUpdated});
</script>
							</div>
						</div>
						<div class="collapsibleSection vertical" id="collapsible_section_container_2">
							<div class="formElement">
								<span class="toggleLabelBackground" id="TelephoneNumberToggle_container">
									<a class="toggleHidden" href="javascript: TelephoneNumberTogglehref(null);" id="TelephoneNumberToggle" name="TelephoneNumberToggle">
										<span xmlns="">
											<span>
												<out:choose>
													<out:when test="not(concat('Telephone Numbers (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber), ')')) or (concat('Telephone Numbers (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber), ')') = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="concat('Telephone Numbers (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber), ')')" />
													</out:otherwise>
												</out:choose>
											</span>
										</span>
									</a>
								</span>
							</div>
							<div class="collapsibleContent vertical" id="collapsible_content_2">
								<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="TelephoneNumber_repeat" summary="">
									<thead>
										<tr id="TelephoneNumber_group_headings">
											<th class="labelBackground" id="TelCountryCode_label_container" scope="col">
												<span class="label" id="TelCountryCode_label">Tel Country Code</span>
											</th>
											<th class="labelBackground" id="TelNationalNumber_label_container" scope="col">
												<span class="label" id="TelNationalNumber_label">Tel National Number</span>
											</th>
											<th class="labelBackground" id="Use2_label_container" scope="col">
												<span class="label" id="Use2_label">Use</span>
											</th>
											<th class="labelBackground" id="Preferred2_label_container" scope="col">
												<span class="label" id="Preferred2_label">Preferred</span>
											</th>
										</tr>
									</thead>
									<tbody id="TelephoneNumber_repeat_body">
										<out:for-each select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber">
											<out:variable name="TelephoneNumber_repeatLoopEntry" select="." />
											<out:variable name="TelephoneNumber_repeatLoopCount">
												<out:text>TelephoneNumber_repeat</out:text>
												<out:value-of select="position()" />
											</out:variable>
											<out:variable name="TelephoneNumber_repeat-repeat-position-number">
												<out:value-of select="position()" />
											</out:variable>
											<tr class="table" id="{$TelephoneNumber_repeatLoopCount}TelephoneNumber_group">
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}TelCountryCode_container">
													<input class="textbox" id="{$TelephoneNumber_repeatLoopCount}TelCountryCode" name="{$TelephoneNumber_repeatLoopCount}TelCountryCode" type="text" value="{demo:TelCountryCode}" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelCountryCode_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelCountryCode" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelCountryCode_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelCountryCode" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelCountryCode_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:TelCountryCode" xmlns="" />
													<span id="{$TelephoneNumber_repeatLoopCount}TelCountryCode_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}TelNationalNumber_container">
													<input class="textbox" id="{$TelephoneNumber_repeatLoopCount}TelNationalNumber" name="{$TelephoneNumber_repeatLoopCount}TelNationalNumber" type="text" value="{demo:TelNationalNumber}" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelNationalNumber_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelNationalNumber" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelNationalNumber_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelNationalNumber" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelNationalNumber_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:TelNationalNumber" xmlns="" />
													<span id="{$TelephoneNumber_repeatLoopCount}TelNationalNumber_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}Use2_container">
													<select class="select" id="{$TelephoneNumber_repeatLoopCount}Use2" name="{$TelephoneNumber_repeatLoopCount}Use2">
														<option value="work">
															<out:if test="'work' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>work</out:text>
														</option>
														<option value="home">
															<out:if test="'home' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>home</out:text>
														</option>
													</select>
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Use2_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Use2_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Use2_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:Use2" xmlns="" />
												</td>
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}Preferred2_container">
													<input class="checkbox" id="{$TelephoneNumber_repeatLoopCount}Preferred2" name="{$TelephoneNumber_repeatLoopCount}Preferred2" type="checkbox" value="yes">
														<out:if test="'yes' = @Preferred">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
													</input>
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Preferred2_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Preferred2_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Preferred2_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:Preferred2" xmlns="" />
													<input id="{$TelephoneNumber_repeatLoopCount}Preferred2_value_if_not_submitted" name="{$TelephoneNumber_repeatLoopCount}Preferred2_value_if_not_submitted" type="hidden" value="no" />
												</td>
											</tr>
										</out:for-each>
										<out:if test="not(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber)">
											<tr>
												<td class="noRepeatData" colspan="4" id="TelephoneNumber_repeat_empty">No Data Found</td>
											</tr>
										</out:if>
									</tbody>
									<tbody id="TelephoneNumber_repeat_newRowContent" style="display : none">
										<out:for-each select="/*[1]">
											<out:variable name="TelephoneNumber_repeat-repeat-position-number">xxxxx</out:variable>
											<out:variable name="TelephoneNumber_repeatLoopEntry" select="." />
											<out:variable name="TelephoneNumber_repeatLoopCount">
												<out:text>TelephoneNumber_repeatBlankEntry</out:text>
											</out:variable>
											<tr class="table" id="{$TelephoneNumber_repeatLoopCount}TelephoneNumber_group">
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}TelCountryCode_container">
													<input class="textbox" id="{$TelephoneNumber_repeatLoopCount}TelCountryCode" name="{$TelephoneNumber_repeatLoopCount}TelCountryCode" type="text" value="{demo:TelCountryCode}" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelCountryCode_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelCountryCode" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelCountryCode_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelCountryCode" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelCountryCode_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:TelCountryCode" xmlns="" />
													<span id="{$TelephoneNumber_repeatLoopCount}TelCountryCode_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}TelNationalNumber_container">
													<input class="textbox" id="{$TelephoneNumber_repeatLoopCount}TelNationalNumber" name="{$TelephoneNumber_repeatLoopCount}TelNationalNumber" type="text" value="{demo:TelNationalNumber}" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelNationalNumber_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelNationalNumber" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelNationalNumber_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/demo:TelNationalNumber" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}TelNationalNumber_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:TelNationalNumber" xmlns="" />
													<span id="{$TelephoneNumber_repeatLoopCount}TelNationalNumber_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}Use2_container">
													<select class="select" id="{$TelephoneNumber_repeatLoopCount}Use2" name="{$TelephoneNumber_repeatLoopCount}Use2">
														<option value="work">
															<out:if test="'work' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>work</out:text>
														</option>
														<option value="home">
															<out:if test="'home' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>home</out:text>
														</option>
													</select>
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Use2_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Use2_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Use2_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:Use2" xmlns="" />
												</td>
												<td class="defaultBackground" id="{$TelephoneNumber_repeatLoopCount}Preferred2_container">
													<input class="checkbox" id="{$TelephoneNumber_repeatLoopCount}Preferred2" name="{$TelephoneNumber_repeatLoopCount}Preferred2" type="checkbox" value="yes">
														<out:if test="'yes' = @Preferred">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
													</input>
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Preferred2_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Preferred2_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber[{$TelephoneNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$TelephoneNumber_repeatLoopCount}Preferred2_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat[{$TelephoneNumber_repeat-repeat-position-number}]/mvc:Preferred2" xmlns="" />
													<input id="{$TelephoneNumber_repeatLoopCount}Preferred2_value_if_not_submitted" name="{$TelephoneNumber_repeatLoopCount}Preferred2_value_if_not_submitted" type="hidden" value="no" />
												</td>
											</tr>
										</out:for-each>
									</tbody>
								</table>
								<input name="xgf_hyfrepeat-2-location_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber" xmlns="" />
								<input name="xgf_hyfrepeat-2-location_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber" xmlns="" />
								<input name="xgf_hyfrepeat-2-location_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:TelephoneNumber_repeat" xmlns="" />
								<input name="hyfrepeat-2-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber)}" xmlns="" />
								<script type="text/javascript">
/* For more details on the available configuration options please see the following FAQ entry:
 * http://www.hyfinity.net/faq/index.php?solution_id=1075
 */
hyf.editabletable.init(hyf.editabletable.getLastTableOutput(),
                       {validate:true,
                        allow_add:true,
                        allow_delete:true,
                        allow_edit:true,
                        change_function:contactNumberUpdated});
</script>
							</div>
						</div>
						<div class="collapsibleSection vertical" id="collapsible_section_container_3">
							<div class="formElement">
								<span class="toggleLabelBackground" id="FaxNumberToggle_container">
									<a class="toggleHidden" href="javascript: FaxNumberTogglehref(null);" id="FaxNumberToggle" name="FaxNumberToggle">
										<span xmlns="">
											<span>
												<out:choose>
													<out:when test="not(concat('Fax Numbers (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber), ')')) or (concat('Fax Numbers (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber), ')') = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="concat('Fax Numbers (', count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber), ')')" />
													</out:otherwise>
												</out:choose>
											</span>
										</span>
									</a>
								</span>
							</div>
							<div class="collapsibleContent vertical" id="collapsible_content_3">
								<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="FaxNumber_repeat" summary="">
									<thead>
										<tr id="FaxNumber_group_headings">
											<th class="labelBackground" id="FaxCountryCode_label_container" scope="col">
												<span class="label" id="FaxCountryCode_label">Fax Country Code</span>
											</th>
											<th class="labelBackground" id="FaxNationalNumber_label_container" scope="col">
												<span class="label" id="FaxNationalNumber_label">Fax National Number</span>
											</th>
											<th class="labelBackground" id="Use3_label_container" scope="col">
												<span class="label" id="Use3_label">Use</span>
											</th>
											<th class="labelBackground" id="Preferred3_label_container" scope="col">
												<span class="label" id="Preferred3_label">Preferred</span>
											</th>
										</tr>
									</thead>
									<tbody id="FaxNumber_repeat_body">
										<out:for-each select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber">
											<out:variable name="FaxNumber_repeatLoopEntry" select="." />
											<out:variable name="FaxNumber_repeatLoopCount">
												<out:text>FaxNumber_repeat</out:text>
												<out:value-of select="position()" />
											</out:variable>
											<out:variable name="FaxNumber_repeat-repeat-position-number">
												<out:value-of select="position()" />
											</out:variable>
											<tr class="table" id="{$FaxNumber_repeatLoopCount}FaxNumber_group">
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}FaxCountryCode_container">
													<input class="textbox" id="{$FaxNumber_repeatLoopCount}FaxCountryCode" name="{$FaxNumber_repeatLoopCount}FaxCountryCode" type="text" value="{demo:FaxCountryCode}" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxCountryCode_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxCountryCode" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxCountryCode_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxCountryCode" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxCountryCode_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:FaxCountryCode" xmlns="" />
													<span id="{$FaxNumber_repeatLoopCount}FaxCountryCode_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}FaxNationalNumber_container">
													<input class="textbox" id="{$FaxNumber_repeatLoopCount}FaxNationalNumber" name="{$FaxNumber_repeatLoopCount}FaxNationalNumber" type="text" value="{demo:FaxNationalNumber}" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxNationalNumber_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxNationalNumber" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxNationalNumber_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxNationalNumber" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxNationalNumber_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:FaxNationalNumber" xmlns="" />
													<span id="{$FaxNumber_repeatLoopCount}FaxNationalNumber_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}Use3_container">
													<select class="select" id="{$FaxNumber_repeatLoopCount}Use3" name="{$FaxNumber_repeatLoopCount}Use3">
														<option value="work">
															<out:if test="'work' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>work</out:text>
														</option>
														<option value="home">
															<out:if test="'home' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>home</out:text>
														</option>
													</select>
													<input name="xgf_{$FaxNumber_repeatLoopCount}Use3_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Use3_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Use3_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:Use3" xmlns="" />
												</td>
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}Preferred3_container">
													<input class="checkbox" id="{$FaxNumber_repeatLoopCount}Preferred3" name="{$FaxNumber_repeatLoopCount}Preferred3" type="checkbox" value="yes">
														<out:if test="'yes' = @Preferred">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
													</input>
													<input name="xgf_{$FaxNumber_repeatLoopCount}Preferred3_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Preferred3_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Preferred3_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:Preferred3" xmlns="" />
													<input id="{$FaxNumber_repeatLoopCount}Preferred3_value_if_not_submitted" name="{$FaxNumber_repeatLoopCount}Preferred3_value_if_not_submitted" type="hidden" value="no" />
												</td>
											</tr>
										</out:for-each>
										<out:if test="not(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber)">
											<tr>
												<td class="noRepeatData" colspan="4" id="FaxNumber_repeat_empty">No Data Found</td>
											</tr>
										</out:if>
									</tbody>
									<tbody id="FaxNumber_repeat_newRowContent" style="display : none">
										<out:for-each select="/*[1]">
											<out:variable name="FaxNumber_repeat-repeat-position-number">xxxxx</out:variable>
											<out:variable name="FaxNumber_repeatLoopEntry" select="." />
											<out:variable name="FaxNumber_repeatLoopCount">
												<out:text>FaxNumber_repeatBlankEntry</out:text>
											</out:variable>
											<tr class="table" id="{$FaxNumber_repeatLoopCount}FaxNumber_group">
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}FaxCountryCode_container">
													<input class="textbox" id="{$FaxNumber_repeatLoopCount}FaxCountryCode" name="{$FaxNumber_repeatLoopCount}FaxCountryCode" type="text" value="{demo:FaxCountryCode}" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxCountryCode_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxCountryCode" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxCountryCode_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxCountryCode" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxCountryCode_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:FaxCountryCode" xmlns="" />
													<span id="{$FaxNumber_repeatLoopCount}FaxCountryCode_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}FaxNationalNumber_container">
													<input class="textbox" id="{$FaxNumber_repeatLoopCount}FaxNationalNumber" name="{$FaxNumber_repeatLoopCount}FaxNationalNumber" type="text" value="{demo:FaxNationalNumber}" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxNationalNumber_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxNationalNumber" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxNationalNumber_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/demo:FaxNationalNumber" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}FaxNationalNumber_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:FaxNationalNumber" xmlns="" />
													<span id="{$FaxNumber_repeatLoopCount}FaxNationalNumber_message_container"></span>
												</td>
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}Use3_container">
													<select class="select" id="{$FaxNumber_repeatLoopCount}Use3" name="{$FaxNumber_repeatLoopCount}Use3">
														<option value="work">
															<out:if test="'work' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>work</out:text>
														</option>
														<option value="home">
															<out:if test="'home' = @Use">
																<out:attribute name="selected">selected</out:attribute>
															</out:if>
															<out:text>home</out:text>
														</option>
													</select>
													<input name="xgf_{$FaxNumber_repeatLoopCount}Use3_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Use3_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Use" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Use3_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:Use3" xmlns="" />
												</td>
												<td class="defaultBackground" id="{$FaxNumber_repeatLoopCount}Preferred3_container">
													<input class="checkbox" id="{$FaxNumber_repeatLoopCount}Preferred3" name="{$FaxNumber_repeatLoopCount}Preferred3" type="checkbox" value="yes">
														<out:if test="'yes' = @Preferred">
															<out:attribute name="checked">checked</out:attribute>
														</out:if>
													</input>
													<input name="xgf_{$FaxNumber_repeatLoopCount}Preferred3_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Preferred3_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber[{$FaxNumber_repeat-repeat-position-number}]/@Preferred" xmlns="" />
													<input name="xgf_{$FaxNumber_repeatLoopCount}Preferred3_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat[{$FaxNumber_repeat-repeat-position-number}]/mvc:Preferred3" xmlns="" />
													<input id="{$FaxNumber_repeatLoopCount}Preferred3_value_if_not_submitted" name="{$FaxNumber_repeatLoopCount}Preferred3_value_if_not_submitted" type="hidden" value="no" />
												</td>
											</tr>
										</out:for-each>
									</tbody>
								</table>
								<input name="xgf_hyfrepeat-3-location_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber" xmlns="" />
								<input name="xgf_hyfrepeat-3-location_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber" xmlns="" />
								<input name="xgf_hyfrepeat-3-location_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:FaxNumber_repeat" xmlns="" />
								<input name="hyfrepeat-3-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber)}" xmlns="" />
								<script type="text/javascript">
/* For more details on the available configuration options please see the following FAQ entry:
 * http://www.hyfinity.net/faq/index.php?solution_id=1075
 */
hyf.editabletable.init(hyf.editabletable.getLastTableOutput(),
                       {validate:true,
                        allow_add:true,
                        allow_delete:true,
                        allow_edit:true,
                        change_function:contactNumberUpdated});
</script>
							</div>
						</div>
					</div>
					<div class="formElement">
						<span class="hide" id="ContactId1_container">
							<input class="hide" id="ContactId1" name="ContactId1" type="hidden" value="{/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/@ContactId}" />
							<input name="xgf_ContactId1_xpath_xga_insertContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:CreateContactRequest/demo:Contact/@ContactId" xmlns="" />
							<input name="xgf_ContactId1_xpath_xga_updateContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:UpdateContactRequest/demo:Contact/@ContactId" xmlns="" />
							<input name="xgf_ContactId1_xpath_xga_cancel" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:ContactId1" xmlns="" />
							<span id="ContactId1_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="hide" id="ContactSurname_container">
							<input class="hide" id="ContactSurname" name="ContactSurname" type="hidden" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:ContactSurname}" />
							<input name="ContactSurname_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:ContactSurname" xmlns="" />
						</span>
					</div>
				</div>
				<div class="horizontal" id="submitButtons">
					<out:if test="not(not(/mvc:eForm/mvc:Control/mvc:action[. = 'newContact']))">
						<span class="formElement">
							<span class="defaultBackground" id="createBtn_container">
								<input id="createBtn_submit_button" name="xgate_action_insertContact" type="submit" value="Create Contact" xmlns="" />
								<span id="createBtn_temp_container" style="display:none; visibility:hidden;" xmlns="">
									<a class="button" href="javascript: createBtnhref(null);" id="createBtn" name="createBtn">
										<span>
											<span>Create Contact</span>
										</span>
									</a>
								</span>
								<script type="text/javascript" xmlns="">
									<out:text disable-output-escaping="yes">document.getElementById('</out:text>
									<out:text disable-output-escaping="yes">createBtn_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
									<out:text disable-output-escaping="yes">createBtn_temp_container').innerHTML;</out:text>
								</script>
							</span>
						</span>
					</out:if>
					<out:if test="not(not(/mvc:eForm/mvc:Control/mvc:action[. = 'viewContact']))">
						<span class="formElement">
							<span class="defaultBackground" id="updateBtn_container">
								<input id="updateBtn_submit_button" name="xgate_action_updateContact" type="submit" value="Update Contact" xmlns="" />
								<span id="updateBtn_temp_container" style="display:none; visibility:hidden;" xmlns="">
									<a class="button" href="javascript: updateBtnhref(null);" id="updateBtn" name="updateBtn">
										<span>
											<span>Update Contact</span>
										</span>
									</a>
								</span>
								<script type="text/javascript" xmlns="">
									<out:text disable-output-escaping="yes">document.getElementById('</out:text>
									<out:text disable-output-escaping="yes">updateBtn_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
									<out:text disable-output-escaping="yes">updateBtn_temp_container').innerHTML;</out:text>
								</script>
							</span>
						</span>
					</out:if>
					<span class="formElement">
						<span class="defaultBackground" id="cancelBtn_container">
							<input id="cancelBtn_submit_button" name="xgate_action_cancel" type="submit" value="Back" xmlns="" />
							<span id="cancelBtn_temp_container" style="display:none; visibility:hidden;" xmlns="">
								<a class="button" href="javascript: cancelBtnhref(null);" id="cancelBtn" name="cancelBtn">
									<span>
										<span>Back</span>
									</span>
								</a>
							</span>
							<script type="text/javascript" xmlns="">
								<out:text disable-output-escaping="yes">document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">cancelBtn_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">cancelBtn_temp_container').innerHTML;</out:text>
							</script>
						</span>
					</span>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.ContactDetails,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all',
                mandatoryMarker: {
                    content: ' * ',
                    location: 'after_label',
                    className: 'mandatory',
                    style: ''
                    }
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tab_control_tab_info</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','tab');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_value','info');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_element','</out:text>
			<out:text disable-output-escaping="yes">tab_control');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tab_control_tab_address</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','tab');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_value','address');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_element','</out:text>
			<out:text disable-output-escaping="yes">tab_control');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tab_control_tab_business</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','tab');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_value','business');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_element','</out:text>
			<out:text disable-output-escaping="yes">tab_control');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tab_control</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>field = document.getElementById('</out:text>
			<out:text>infoTab');</out:text>
			<out:text>field.setAttribute('_use', 'tabPane');field.setAttribute('_tabField', &quot;</out:text>
			<out:text>tab_control_tab_info&quot;);</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'infoTab',condition: {type:'==', values:[{type:'field', name:'tab_control'}, 'info']}});<out:text>
            field = document.getElementById('</out:text>
			<out:text>Title</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Forename</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Surname</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DateOfBirth</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_data_date_format','yyyy-MM-dd');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_display_date_format','MM/dd/yyyy');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','date');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Gender</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MaritalStatus</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>NumberOfDependants</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','20');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>CarRegistration</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','7');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','2');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[A-HJ-NP-Z]{3}[0-9]{1,3}[A-HJ-NP-Z]{1}|[A-HJ-NP-Z]{1}[0-9]{1,3}[A-HJ-Z]{3}|[0-9]{1,4}[A-HJ-NP-Z]{1}|[A-HJ-NP-Z]{2}[0-9]{1,4}|[A-HJ-NP-Z]{1}[0-9]{1,4}|[A-HJ-NP-Z]{3}[0-9]{1,4}|[0-9]{3}[A-HJ-NP-Z]{3}|[0-9]{2}[A-HJ-NP-Z]{3}|[0-9]{1}[A-HJ-NP-Z]{3}|[0-9]{3}[A-HJ-NP-Z]{2}|[0-9]{1}[A-HJ-NP-Z]{2}|[0-9]{2}[A-HJ-NP-Z]{2}|[0-9]{3}[A-HJ-NP-Z]{1}[0-9]{3}|[A-HJ-NP-Z]{1}[0-9]{5}|[0-9]{4}[A-HJ-NP-Z]{3}|[0-9]{2}[A-HJ-NP-Z]{2}[0-9]{2}|[0-9]{4}[0-9]?|[A-Z]{2}[0-9]{2}[A-Z]{3}|[A-HJ-NP-Z]{2}[0-9]{5}$');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Notes</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','255');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9A-Za-z@#+.,/?\\-!_()\\\\`\'&quot;&amp;&gt;&lt;\\* ]*$');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>OtherInformation1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>field = document.getElementById('</out:text>
			<out:text>addressTab');</out:text>
			<out:text>field.setAttribute('_use', 'tabPane');field.setAttribute('_tabField', &quot;</out:text>
			<out:text>tab_control_tab_address&quot;);</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'addressTab', condition: { type: '==', values: [{ type: 'field', name: 'tab_control'}, 'address'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>HouseNameNo</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','20');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Street</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Locality</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','35');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Town</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>CountyArea</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Postcode</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','8');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[A-Z]{1,2}[0-9R][0-9A-Z]? [0-9][A-Z]{2}$');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Country</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field = document.getElementById('</out:text>
			<out:text>businessTab');</out:text>
			<out:text>field.setAttribute('_use', 'tabPane');field.setAttribute('_tabField', &quot;</out:text>
			<out:text>tab_control_tab_business&quot;);</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'businessTab',condition: {type:'==', values:[{type:'field', name:'tab_control'}, 'business']}});<out:text>
            field = document.getElementById('</out:text>
			<out:text>OrganisationName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>NationalInsuranceNumber</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[A-CEGHJ-NOPR-TW-Z]{1}[A-CEGHJ-NPR-TW-Z]{1}[0-9]{6}[ABCD\\s]{1}$');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>TaxReference</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9]{10}$');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Salary</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('dojoType', 'dijit.form.CurrencyTextBox');field.setAttribute('currency', 'USD');field.setAttribute('required', 'false');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>PaymentFrequency</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','2');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>OtherInformation2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>EmailAddressToggle</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('showLabel', 'Show&amp;nbsp;');field.setAttribute('hideLabel', 'Hide&amp;nbsp;');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:EmailAddresses/demo:EmailAddress">
				<out:variable name="EmailAddress_repeatLoopEntry" select="." />
				<out:variable name="EmailAddress_repeatLoopCount">
					<out:text>EmailAddress_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$EmailAddress_repeatLoopCount" />
				<out:text>Email</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9A-Za-z\'\\.\\-_]{1,127}@[0-9A-Za-z\'\\.\\-_]{1,127}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$EmailAddress_repeatLoopCount" />
				<out:text>Use1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$EmailAddress_repeatLoopCount" />
				<out:text>Preferred1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:for-each select="/*[1]">
				<out:variable name="EmailAddress_repeatLoopEntry" select="." />
				<out:variable name="EmailAddress_repeatLoopCount">
					<out:text>EmailAddress_repeatBlankEntry</out:text>
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$EmailAddress_repeatLoopCount" />
				<out:text>Email</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9A-Za-z\'\\.\\-_]{1,127}@[0-9A-Za-z\'\\.\\-_]{1,127}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$EmailAddress_repeatLoopCount" />
				<out:text>Use1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$EmailAddress_repeatLoopCount" />
				<out:text>Preferred1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>TelephoneNumberToggle</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('showLabel', 'Show&amp;nbsp;');field.setAttribute('hideLabel', 'Hide&amp;nbsp;');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:TelephoneNumbers/demo:TelephoneNumber">
				<out:variable name="TelephoneNumber_repeatLoopEntry" select="." />
				<out:variable name="TelephoneNumber_repeatLoopCount">
					<out:text>TelephoneNumber_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>TelCountryCode</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9]{1,3}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>TelNationalNumber</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9 \\-]{1,20}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>Use2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>Preferred2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:for-each select="/*[1]">
				<out:variable name="TelephoneNumber_repeatLoopEntry" select="." />
				<out:variable name="TelephoneNumber_repeatLoopCount">
					<out:text>TelephoneNumber_repeatBlankEntry</out:text>
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>TelCountryCode</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9]{1,3}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>TelNationalNumber</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9 \\-]{1,20}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>Use2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$TelephoneNumber_repeatLoopCount" />
				<out:text>Preferred2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>FaxNumberToggle</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('showLabel', 'Show&amp;nbsp;');field.setAttribute('hideLabel', 'Hide&amp;nbsp;');</out:text>
			<out:for-each select="/mvc:eForm/mvc:Data/demo:GetContactResponse/demo:Contact/demo:ContactNumbers/demo:FaxNumbers/demo:FaxNumber">
				<out:variable name="FaxNumber_repeatLoopEntry" select="." />
				<out:variable name="FaxNumber_repeatLoopCount">
					<out:text>FaxNumber_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>FaxCountryCode</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9]{1,3}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>FaxNationalNumber</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9 \\-]{1,20}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>Use3</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>Preferred3</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:for-each select="/*[1]">
				<out:variable name="FaxNumber_repeatLoopEntry" select="." />
				<out:variable name="FaxNumber_repeatLoopCount">
					<out:text>FaxNumber_repeatBlankEntry</out:text>
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>FaxCountryCode</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9]{1,3}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>FaxNationalNumber</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^[0-9 \\-]{1,20}$');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>Use3</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$FaxNumber_repeatLoopCount" />
				<out:text>Preferred3</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>ContactId1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>ContactSurname</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:if test="not(not(/mvc:eForm/mvc:Control/mvc:action[. = 'newContact']))" />
			<out:if test="not(not(/mvc:eForm/mvc:Control/mvc:action[. = 'viewContact']))" />
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function ContactDetailsonbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    dojo.require('dijit.form.CurrencyTextBox');
            }
            ContactDetailsonbeforeload();hyf.attachEventHandler(window, 'onload', function() {if (!document.getElementById('calendarDiv')) { var calendarDiv = document.createElement('div');calendarDiv.setAttribute('id', 'calendarDiv');document.body.appendChild(calendarDiv); } });
                    hyf.hooks.contentInserted(document.body);
            function tab_controlonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'tab_control', field: document.getElementById('tab_control')};

                return dojo.hitch(objEventSource.field, function(){
                    tabClicked(objEventSource);
                    })();
            }
            
            function updateMapBtnonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'updateMapBtn', field: document.getElementById('updateMapBtn')};

                return dojo.hitch(objEventSource.field, function(){
                    var objFunction = {name: 'Function', option: 'Static', value: 'updateMap'};
                    var objParameters = {name: 'Parameters', option: '', value: ''};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
                    })();
            }
            
            function EmailAddressTogglehref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'EmailAddressToggle', field: document.getElementById('EmailAddressToggle')};

                return dojo.hitch(objEventSource.field, function(){
                    hyf.collapsiblecontent.toggle(this);
                    })();
            }
            
            function TelephoneNumberTogglehref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'TelephoneNumberToggle', field: document.getElementById('TelephoneNumberToggle')};

                return dojo.hitch(objEventSource.field, function(){
                    hyf.collapsiblecontent.toggle(this);
                    })();
            }
            
            function FaxNumberTogglehref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'FaxNumberToggle', field: document.getElementById('FaxNumberToggle')};

                return dojo.hitch(objEventSource.field, function(){
                    hyf.collapsiblecontent.toggle(this);
                    })();
            }
            
            function createBtnhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'createBtn', field: document.getElementById('createBtn')};

                return dojo.hitch(objEventSource.field, function(){
                    var objAction = {name: 'Action', option: 'Action', value: 'insertContact'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'true'};
                    hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            
            function updateBtnhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'updateBtn', field: document.getElementById('updateBtn')};

                return dojo.hitch(objEventSource.field, function(){
                    var objAction = {name: 'Action', option: 'Action', value: 'updateContact'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'true'};
                    hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            
            function cancelBtnhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'cancelBtn', field: document.getElementById('cancelBtn')};

                return dojo.hitch(objEventSource.field, function(){
                    var objAction = {name: 'Action', option: 'Action', value: 'cancel'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
